curl --request POST \
--url https://api.korint.io/brokerage-firms/{brokerageFirmId}/policies/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant: <tenant>' \
--data '
{
"pageInfo": {
"count": 10,
"page": 1
},
"statuses": [],
"customStatuses": [
"<string>"
],
"onSameBranch": [
{
"property": "<string>",
"value": {
"equals": "<string>"
},
"includeAllBranches": true,
"excludeBaseBranch": false,
"timeZone": "UTC",
"textSearchDepth": 0
}
],
"businessIntroducers": [
"<string>"
],
"startedAt": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"stoppedAt": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"endedAt": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"createdAt": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"hasAcknowledgedAlerts": true,
"awaitingFirstPayment": true,
"expandCustomers": true,
"expandAssets": true,
"expandBrokerageFirm": true,
"expandDerogations": true,
"queryString": "<string>",
"brokerageFirmName": "<string>",
"derogationStatuses": [],
"productIds": [
"<string>"
],
"stopReasons": [
"<string>"
],
"authorUserIds": [
"<string>"
]
}
'import requests
url = "https://api.korint.io/brokerage-firms/{brokerageFirmId}/policies/search"
payload = {
"pageInfo": {
"count": 10,
"page": 1
},
"statuses": [],
"customStatuses": ["<string>"],
"onSameBranch": [
{
"property": "<string>",
"value": { "equals": "<string>" },
"includeAllBranches": True,
"excludeBaseBranch": False,
"timeZone": "UTC",
"textSearchDepth": 0
}
],
"businessIntroducers": ["<string>"],
"startedAt": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"stoppedAt": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"endedAt": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"createdAt": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"hasAcknowledgedAlerts": True,
"awaitingFirstPayment": True,
"expandCustomers": True,
"expandAssets": True,
"expandBrokerageFirm": True,
"expandDerogations": True,
"queryString": "<string>",
"brokerageFirmName": "<string>",
"derogationStatuses": [],
"productIds": ["<string>"],
"stopReasons": ["<string>"],
"authorUserIds": ["<string>"]
}
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenant: '<tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
pageInfo: {count: 10, page: 1},
statuses: [],
customStatuses: ['<string>'],
onSameBranch: [
{
property: '<string>',
value: {equals: '<string>'},
includeAllBranches: true,
excludeBaseBranch: false,
timeZone: 'UTC',
textSearchDepth: 0
}
],
businessIntroducers: ['<string>'],
startedAt: {start: '2023-11-07T05:31:56Z', end: '2023-11-07T05:31:56Z'},
stoppedAt: {start: '2023-11-07T05:31:56Z', end: '2023-11-07T05:31:56Z'},
endedAt: {start: '2023-11-07T05:31:56Z', end: '2023-11-07T05:31:56Z'},
createdAt: {start: '2023-11-07T05:31:56Z', end: '2023-11-07T05:31:56Z'},
hasAcknowledgedAlerts: true,
awaitingFirstPayment: true,
expandCustomers: true,
expandAssets: true,
expandBrokerageFirm: true,
expandDerogations: true,
queryString: '<string>',
brokerageFirmName: '<string>',
derogationStatuses: [],
productIds: ['<string>'],
stopReasons: ['<string>'],
authorUserIds: ['<string>']
})
};
fetch('https://api.korint.io/brokerage-firms/{brokerageFirmId}/policies/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"customerIds": [
"<string>"
],
"policyId": "<string>",
"branches": [
{
"policy": {
"id": "<string>",
"productId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"hasOpenedClientAccount": true,
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"externalId": "<string>",
"author": {
"firstName": "<string>",
"lastName": "<string>",
"userId": "<string>",
"email": "jsmith@example.com",
"brokerRole": "<string>"
},
"signedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"isAwaitingFirstPayment": true,
"endedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"stop": {
"reason": "<string>",
"details": [
{
"key": "<string>",
"value": "<string>"
}
],
"createdAt": "<string>"
},
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
},
"branch": {
"branchId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"mergedAt": "2023-11-07T05:31:56Z",
"derogations": [
{
"derogationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"customers": [
{
"type": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"role": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>"
}
],
"assets": [
{
"id": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"brokerageFirm": {
"id": "<string>",
"companyInfo": {
"siret": "<string>",
"siren": "<string>",
"nafCode": "<string>",
"nafLabel": "<string>",
"name": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"location": {
"city": "<string>",
"country": "<string>",
"address": "<string>",
"postCode": "<string>"
},
"legalStatus": {
"1": "<string>",
"2": "<string>",
"3": "<string>"
},
"headcount": "<string>",
"isActive": true
},
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"parentBrokerageFirm": {
"id": "<string>",
"companyInfo": {
"siret": "<string>",
"siren": "<string>",
"nafCode": "<string>",
"nafLabel": "<string>",
"name": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"location": {
"city": "<string>",
"country": "<string>",
"address": "<string>",
"postCode": "<string>"
},
"legalStatus": {
"1": "<string>",
"2": "<string>",
"3": "<string>"
},
"headcount": "<string>",
"isActive": true
},
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"derogations": [
{
"id": "<string>",
"policyId": "<string>"
}
]
}
]
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}Search a brokerage firm's policies
Filters are sent in the request body, which is why this is a POST.
Authorizations
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
^brokerage_firm(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Body
View type
newBusiness, archivedNewBusiness, derogation, live the page info
Show child attributes
Show child attributes
the sort options
Show child attributes
Show child attributes
Statuses to filter by
POLICY_CREATED, POLICY_QUOTED, POLICY_CONFIRMED, POLICY_SIGNED, POLICY_STARTED, POLICY_STOPPED, POLICY_SUSPENDED Custom statuses to filter by
Conditions that must be satisfied on the same branch simultaneously
Show child attributes
Show child attributes
Business introducers to filter by
Started at range
Show child attributes
Show child attributes
Stopped at range
Show child attributes
Show child attributes
Ended at range (contract end date / due date)
Show child attributes
Show child attributes
Created at range
Show child attributes
Show child attributes
Optional: if filled, returns policies with at least one alert which acknowledgement matches this attribute
Signed but awaiting first payment: CONFIRMED, signed, start date passed, on a product that gates activation on first payment.
Full text search
Brokerage firm name
Filter by derogation status
PENDING, DECLINED, APPROVED List of product ids
List of stop reasons to filter by
Filter by assigned broker (policy author) user ids
Response
Was this page helpful?

